{% extends 'base.html' %}
{% load static %}

{% block title %} Pagina principala {% endblock %}


{% block head %}
    <link rel="stylesheet" type="text/css" href='{% static "images/carousel/style.css" %}'>
{% endblock %}


{% block content %}
    <br><br>
    <div class="container-fluid mx-auto">
        <div id="carouselExampleCaptions" class="carousel slide">
            <div class="carousel-indicators">
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="0" class="active"
                        aria-current="true" aria-label="Slide 1"></button>
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="1"
                        aria-label="Slide 2"></button>
                <button type="button" data-bs-target="#carouselExampleCaptions" data-bs-slide-to="2"
                        aria-label="Slide 3"></button>
            </div>
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img src="{% static 'images/carousel/slide3.jpg' %}" class="d-block w-100" alt="First Slide">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>First slide label</h5>
                        <p>Some representative placeholder content for the first slide.</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img src="{% static 'images/carousel/slide3.jpg' %}" class="d-block w-100" alt="Second Slide">
                    <div class="carousel-caption d-none d-md-block">
                        <h5>Second slide label</h5>
                        <p>Some representative placeholder content for the second slide.</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img src="{% static 'images/carousel/slide3.jpg' %}" class="d-block w-100" alt="Third Slide">

                    <div class="carousel-caption d-none d-md-block">
                        <h5>Third slide label</h5>
                        <p>Some representative placeholder content for the third slide.</p>
                    </div>
                </div>
            </div>
            <button class="carousel-control-prev" type="button" data-bs-target="#carouselExampleCaptions"
                    data-bs-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Previous</span>
            </button>
            <button class="carousel-control-next" type="button" data-bs-target="#carouselExampleCaptions"
                    data-bs-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="visually-hidden">Next</span>
            </button>
        </div>
    </div>


    <br><br><br><br><br>

    <div class="container-fluid mx-auto">
        <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 g-3">

            <div class="col d-flex justify-content-center">
                <div class="card" style="width: 18rem;">
                    <img src="{% static 'images/views/teacher2.png' %}" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">Teacher Area</h5>
                        <p class="card-text">Some quick example text to build on the card title and make up the bulk of
                            the
                            card's
                            content.</p>
                    </div>
                    {#                    <ul class="list-group list-group-flush">#}
                    {#                        <li class="list-group-item">An item</li>#}
                    {#                        <li class="list-group-item">A second item</li>#}
                    {#                        <li class="list-group-item">A third item</li>#}
                    {#                    </ul>#}
                    <br><br><br>
                    <div class="card-body d-flex justify-content-center">
                        {#                        <a href="#" class="card-link">Log In</a>#}
                        {#                        <a class="btn btn-primary" href="#" role="button">Log In</a>#}
                        <button type="button" class="btn btn-primary btn-sm">Log In</button>
                        {#                        <a href="#" class="card-link">Sing Up as Teacher</a>#}
                        {#                        <a class="btn btn-primary" href="#" role="button">Sing Up as Teacher</a>#}
                        <button type="button" class="btn btn-primary btn-sm" style="margin-left: 10px;">Sign Up as
                            Teacher
                        </button>
                    </div>

                </div>
            </div>
            <div class="col d-flex justify-content-center">
                <div class="card" style="width: 18rem;">
                    <img src="{% static 'images/views/teacher1.png' %}" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">Student Area</h5>
                        <p class="card-text">Some quick example text to build on the card title and make up the bulk of
                            the
                            card's
                            content.</p>
                    </div>
                    {#                    <ul class="list-group list-group-flush">#}
                    {#                        <li class="list-group-item">An item</li>#}
                    {#                        <li class="list-group-item">A second item</li>#}
                    {#                        <li class="list-group-item">A third item</li>#}
                    {#                    </ul>#}
                    <div class="card-body d-flex justify-content-center">
                        {#                        <a href="#" class="card-link">Log In</a>#}
                        <a href="{% url 'student_login' %}">
                        <button type="button" class="btn btn-primary btn-sm">Log In</button>
                        </a>
                        {#                        <a href="#" class="card-link">Sing Up as Student</a>#}
                        <button type="button" class="btn btn-primary btn-sm" style="margin-left: 10px;">Sign Up as
                            Student
                        </button>
                    </div>
                </div>
            </div>
            <div class="col d-flex justify-content-center">
                <div class="card" style="width: 18rem;">
                    <img src="{% static 'images/views/admin.jpg' %}" class="card-img-top" alt="...">
                    <div class="card-body">
                        <h5 class="card-title">Admin Area</h5>
                        <p class="card-text">Some quick example text to build on the card title and make up the bulk of
                            the
                            card's
                            content.</p>
                    </div>
                    {#                    <ul class="list-group list-group-flush">#}
                    {#                        <li class="list-group-item">An item</li>#}
                    {#                        <li class="list-group-item">A second item</li>#}
                    {#                        <li class="list-group-item">A third item</li>#}
                    {#                    </ul>#}
                    <br><br><br>
                    <div class="card-body d-flex justify-content-center">
                        {#                        <a href="#" class="card-link">Log In</a>#}
                        <button type="button" class="btn btn-primary btn-sm">Log In</button>
                    </div>
                </div>
            </div>

        </div>

    </div>
    <br><br><br><br><br><br>

{% endblock %}
